package com.yunzhupaas.integrate.service;

import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.integrate.entity.IntegrateTaskEntity;
import com.yunzhupaas.integrate.model.integrate.IntegratePageModel;

import java.util.List;

public interface IntegrateTaskService extends SuperService<IntegrateTaskEntity> {

    List<IntegrateTaskEntity> getList(IntegratePageModel pagination);

    List<IntegrateTaskEntity> getList(List<String> id);

    IntegrateTaskEntity getInfo(String id);

    void create(IntegrateTaskEntity entity);

    Boolean update(String id, IntegrateTaskEntity entity);

    void delete(String id) ;
}

